export const dontRepeatYourself = `
<h1>DON'T REPEAT YOURSELF</h1>
<p style="width: 70%;">
Use before/after blocks to DRY up repeated setup, teardown, and action code.
</p>

<h3>Why?</h3>
<ul>
    <li>Keeps test suite more concise and readable</li>
    <li>Changes only need to be made in one place</li>
    <li>Unit tests are not exempt from coding best practices</li>
</ul>

<div style="background-color:#444; color:#fff; padding: 16px; position: relative; width: 50%; ">
    <pre>
// Yep
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      var initialArray,
          pushResult;

      beforeEach(function() {{'{'}}
        initialArray = [1];

        pushResult = initialArray.push(2);
      {{'}'}});

      it('appends x to the end of the Array', function() {{'{'}}
        expect(initialArray).toEqual([1, 2]);
      {{'}'}});

      it('returns x', function() {{'{'}}
        expect(pushResult).toBe(2);
      {{'}'}});
    {{'}'}});
  {{'}'}});

// Nope
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      it('appends x to the end of the Array', function() {{'{'}}
        var initialArray = [1];
        initialArray.push(2);
        expect(initialArray).toEqual([1, 2]);
      {{'}'}});

      it('returns x', function() {{'{'}}
        var initialArray = [1];
        expect(initialArray.push(2)).toBe(2);
      {{'}'}});
    {{'}'}});
  {{'}'}});
    </pre>
</div>
`;
